Subject: Re: 1.1.8: problem building FLTK
From: Peter Hugosson-Miller <[email-masked]>
To: Earnie Boyd <[email-masked]>
Date: Mon, 12 Mar 2001 17:47:33 +0100

Earnie Boyd wrote:

> Peter Hugosson-Miller wrote:
> >
> > I've just upgraded to the latest Cygwin version, and now FLTK doesn't
> > work anymore. I now get a visit from Dr. Watson whenever I try to open a
> > file chooser dialog.
> >
> > I tried "make clean", followed by "make install", in case there was some
> > incompatibility with the older Cygwin DLL's, but this made no
> > difference. I haven't changed anything else in FLTK.
> >
> > I attach a zip file containing Dr. Watsons log file and cygcheck.out, as
> > suggested on the bug reporting page (cygcheck -s -v -r > cygcheck.out).
> >
> > If this isn't easy to fix, what's the easiest way to go back to the last
> > working version of Cygwin? I notice that the "latest" and "contrib"
> > download directories still have the older .tar.gz files in them, so I
> > guess there is a "right" way to back out to the older version.
> >
>
> Try a snapshot version to see if it may be fixed already.
>
> Earnie.

I guess you mean the "Experimental" version from the setup applet? In any case
I tried this and it made things worse - now it won't even compile:

$ make
echo "=== making src ==="
=== making src ===
touch src/makedepend
cd src ; make
make[1]: Entering directory `/home/pehu/fltk-1.0.10/src'
Compiling Fl.o...
cpp.exe: Invalid option `-mwin32'
make[1]: *** [Fl.o] Error 1
make[1]: Leaving directory `/home/pehu/fltk-1.0.10/src'
make: *** [all] Error 2

I don't really need getting the latest and greatest Cygwin version, I just
want my FLTK back. Can I just untar the oldest archives in the download
directories and get back to how things were before, or is there an easier way.

--
Best regards,

Peter Hugosson-Miller
"If Windows 95 sucked, at least it would be good for something"

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple